UbuntuUpdates.org

Package "python3.6"

Name: python3.6

Description:

Interactive high-level object-oriented language (version 3.6)

Latest version: 3.6.8-1~18.04.3
Release: bionic (18.04)
Level: security
Repository: main

Links

Save this URL for the latest version of "python3.6": https://www.ubuntuupdates.org/python3.6


Download "python3.6"


Other versions of "python3.6" in Bionic

Repository Area Version
base main 3.6.5-3
base universe 3.6.5-3
security universe 3.6.8-1~18.04.3
updates main 3.6.9-1~18.04
updates universe 3.6.9-1~18.04

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 3.6.8-1~18.04.3 2019-10-09 14:08:22 UTC

  python3.6 (3.6.8-1~18.04.3) bionic-security; urgency=medium

  * SECURITY UPDATE: incorrect email address parsing
    - debian/patches/CVE-2019-16056.patch: don't parse domains containing @
      in Lib/email/_header_value_parser.py, Lib/email/_parseaddr.py,
      Lib/test/test_email/test__header_value_parser.py,
      Lib/test/test_email/test_email.py.
    - CVE-2019-16056
  * SECURITY UPDATE: XSS in documentation XML-RPC server
    - debian/patches/CVE-2019-16935.patch: escape the server_title in
      Lib/xmlrpc/server.py, Lib/test/test_docxmlrpc.py.
    - CVE-2019-16935

 -- Marc Deslauriers <email address hidden> Mon, 07 Oct 2019 08:59:55 -0400

Source diff to previous version
CVE-2019-16056 An issue was discovered in Python through 2.7.16, 3.x through 3.5.7, 3.6.x through 3.6.9, and 3.7.x through 3.7.4. The email module wrongly parses em
CVE-2019-16935 The documentation XML-RPC server in Python through 2.7.16, 3.x through 3.6.9, and 3.7.x through 3.7.4 has XSS via the server_title field. This occurs

Version: 3.6.8-1~18.04.2 2019-09-09 19:07:01 UTC
No changelog available yet.
Source diff to previous version

Version: 3.6.8-1~18.04.1 2019-08-20 13:07:09 UTC

  python3.6 (3.6.8-1~18.04.1) bionic; urgency=medium

  * Rebuild with OpenSSL 1.1.1. LP: #1797386




About   -   Send Feedback to @ubuntu_updates